// Copyright (c) 2024 Celestino Amoroso (celestino.amoroso@gmail.com).
// All rights reserved.

// iterator.go
package expr

type Iterator interface {
	Next() (item any, err error) // must return io.EOF after the last item
	Current() (item any, err error)
	Index() int
}
